Subject: comp.fonts FAQ: Sun Info
From: [email-masked] (Norman Walsh)
Date: 14 Aug 1996 10:35:06 -0400
Newsgroups: comp.fonts,comp.answers,news.answers

Archive-name: fonts-faq/part11
Version: 2.1.5

Subject: 6. Sun Information
  
  Someone mailed a file of Sun-related font tips.  Unfortunately, I cannot
  find the file.  If you have any suggestion for this section (or if you
  are the person that mailed me the other list), please forward your
  suggestions to norm.
  
  [ Note: much of this information is obsolete, based on the
  SunOS4/Solaris2.1 server.  The Solaris 2.3 and later servers are based
  on the standard X11R5 server but with Display PostScript added, so you
  can do Type 1 in the "normal" way (fontdir+mkpsres) ]
  
Subject: 6.1. Fonts Under Open Windows
  
  The following information regarding fonts under Open Windows was donated
  by Liam R.E. Quin from the Open Windows FAQ.
  
Subject: 6.1.1. Does OpenWindows support Type 1 PostScript fonts?
  
  Type 1 fonts are supported starting with the NeWSprint 2.0 and Solaris
  2.0 (OpenWindows 3.0.1) releases.
  
  There are also 57 F3 format fonts supplied with OpenWindows which are
  fully hinted.  Documentation on the F3 font format and the F3 font
  interpreter, TypeScaler, is available from Sun.
  
Subject: 6.1.2. Improving font rendering time
  
  Although the Sun type renderer (TypeScaler) is pretty fast, it's not as
  fast as loading a bitmap.  You can pre-generate bitmap fonts for sizes
  that you use a lot, and you can also alter and access the font cache
  parameters.      If you have a lot of memory you might want to increase
  the font cache size.
  
           $ psh -i
           Welcome to X11/NeWS Version3      <--- psh will say this at you
           currentfontmem =                  % type this line ...
           300                               % ... my server was using 300 Kbytes
           1024 setfontmem
                                             % Just to check:
           currentfontmem =
           1024
  
  See pp. 328ff of the NeWS 3.0 Programmer's Guide.  You need to say psh
  -i so that the PostScript packages are loaded - see the psh man page.
  
  You could also add the following line to your $HOME/.openwin-init file
  to perform this task every time you start OpenWindows:
  
         echo 1024 setfontmem | psh -i > /dev/null 1>&2
  
Subject: 6.1.3. Making bitmap fonts for faster startup
  
  Sun supports the F3 scalable outline format.  These descriptions are
  stored in .f3b files.  The makeafb program is used to create a bitmap
  font at a particular size which is stored in a .afb file, which is an
  Adobe ASCII format for font bitmaps.  X11/NeWS really prefers a binary
  format though for speed and other reasons, so convertfont is used to
  "compile" the font into a font binary or .fb file.
  
  Once this is done, X11/NeWS needs to understand the relationship between
  the .f3b file and all the bitmaps which are based on it.  Thus, the
  bldfamily program makes these correlations and stores the data in the
  font family or .ff file.
  
  bldfamily also builds a global list of all fonts stored in the working
  directory, writing the results out to the file Families.list.  If one
  wishes to create font aliases, these can be added to the Synonyms.list
  file by hand and bldfamily will then add them to Families.list for you.
  X11/NeWS uses Families.list to construct the font list it advertises
  to applications.
  
  To go from F3 to BDF, use makeafb to generate a bitmap font in .afb
  format.  Then use one of convertfont's many options to change to this
  to .bdf format and from there it should be clear.
  
         $ mkdir $HOME/myfonts
         $ cd $HOME/myfonts
         $ makeafb -20 -M $OPENWINHOME/lib/fonts/Bembo.f3b
         Creating Bembo20.afb
         $ convertfont -b Bembo20.afb
         Bembo20.afb->./Bembo20.fb
         Chars parameter greater than number of characters supplied.
         $ ls
         Bembo20.afb   Bembo20.fb      Synonyms.list
         $ bldfamily
         * Bembo                      ./Bembo.ff (Encoding: latin)
         cat: ./Compat.list: No such file or directory
         $ xset +fp `pwd`
         $ xset fp rehash
  
  If you want the server to see your new font directory every time, add
  this directory to your FONTPATH environment variable in one of your
  start-up files, e.g. .login or .profile.
  
Subject: 6.1.4. Converting between font formats (convertfont, etc.)
  
  You can also use F3 fonts with an X11 server, by converting them to a
  bitmap (X11 bdf format) first.  Your license restricts use of these
  fonts on another machine, and unless you have NeWSPrint you shouldn't
  use them for printing.  Having said all that...  you can use makeafb
  and convertfont to generate bdf files that you can compile with
  bdftosnf or bdftopcf.
  
  Use mftobdf (from the SeeTeX distribution) to convert TeX PK fonts to
  X11 BDF format, which you can then use with either X11 or OpenWindows.
  
Subject: 6.1.5. Xview/OLIT fonts at 100 dpi
  
  There aren't any.  More precisely, the various text fonts, such as
  Lucida Typewriter Sans, are available at 100 dpi, and in fact are
  scalable under OpenWindows.  The glyph fonts used to be bitmaps, which
  don't scale very well, but starting with OpenWindows 3.2, the OpenLook
  UI glyph fonts are provided in scalable format as well.
  
Subject: 6.2. Where can I order F3 fonts for NeWSprint and OpenWindows?
  
  600 F3 fonts are available for unlocking from Printer's Palette, a CD
  available with NeWSprint 2.0.
  
  In addition, F3 fonts are available from the following sources:
  
         Linotype AG                     Linotype Company
         Mergenthaler Allee 55-75        425 Oser Avenue
         6236 Eschborn Germany           Hauppague, NY  11788
         49/(61 96) 4031	                (800) 336-0045
         FAX 011/49/6196-982185          FAX 516-434-2055
         attn: F3 Font Production        attn: F3 Font Production
       
         Monotype Plc.                   Monotype Typography
         Salfords Redhill RH1 5JP        53 W. Jackson Boulevard Suite 504
         England                         Chicago, IL  60604
         44/(737) 765959                 (800) 666-6893
         FAX 011/44/737-769243           FAX (312) 939-0378
         attn: F3 Font Production        attn: F3 Font Production
       
         U R W                           U R W
         Harksheider Strasse 102         One Tara Boulevard Suite 210
         D2000 Hamburg Germany           Nashua, NH  03062
         49/(40) 606050                  (603) 882-7445
         49/(40) 60605148                (603) 882-7210
         attn: F3 Font Production        attn: F3 Font Production
       
         Bigelow & Holmes                Autologic
         P. O. Box 1299                  1050 Rancho Conejo Boulevard
         Menlo Park, CA  94026           Newbury Park, CA  91320
         415/326-8973                    (800)235-1843, or (805)498-9611 in CA
         FAX (415) 326-8065              FAX (805) 499-1167
         attn: F3 Font Production        attn: F3 Font Production